# Changelog

All notable changes to this project will be documented in this file.

## [2.0.0] - 2025-02-11

### Features

- [**breaking**] Accept `Endpoints` instead of `Cloud` in `S2` init  ([#32](https://github.com/s2-streamstore/s2-sdk-python/issues/32))

### Bug Fixes

- [**breaking**] Retry logic for append session and read session ([#33](https://github.com/s2-streamstore/s2-sdk-python/issues/33))

### Miscellaneous Tasks

- Consistent err kind and style in read session example  ([#34](https://github.com/s2-streamstore/s2-sdk-python/issues/34))

## [1.1.0] - 2025-01-25

### Features

- Expose `Basin` and `Stream` so they can used as type hints ([#30](https://github.com/s2-streamstore/s2-sdk-python/issues/30))

## [1.0.0] - 2025-01-21

### Features

- Add `append_inputs_gen` util for automatic batching of records ([#19](https://github.com/s2-streamstore/s2-sdk-python/issues/19))

### Refactor

- Make `fence` and `trim` APIs behave like mentioned in note ([#18](https://github.com/s2-streamstore/s2-sdk-python/issues/18))
- Move utils into a separate `utils` mod ([#21](https://github.com/s2-streamstore/s2-sdk-python/issues/21))

### Documentation

- Consistent vocab and format ([#23](https://github.com/s2-streamstore/s2-sdk-python/issues/23))
- Fix note in `append_inputs_gen` util fn  ([#24](https://github.com/s2-streamstore/s2-sdk-python/issues/24))

### Styling

- Format previously missed files in `_lib` using `ruff` ([#22](https://github.com/s2-streamstore/s2-sdk-python/issues/22))

### Miscellaneous Tasks

- [**breaking**] Remove trim and fence helper methods ([#20](https://github.com/s2-streamstore/s2-sdk-python/issues/20))

## [0.2.0] - 2025-01-17

### Bug Fixes

- Limits in read session resumption  ([#14](https://github.com/s2-streamstore/s2-sdk-python/issues/14))

### Documentation

- Update `README` ([#10](https://github.com/s2-streamstore/s2-sdk-python/issues/10))

### Miscellaneous Tasks

- At-least-once need not be scary ([#11](https://github.com/s2-streamstore/s2-sdk-python/issues/11))

## [0.1.4] - 2025-01-15

### Miscellaneous Tasks

- Organize imports and add a few external links in docs ([#7](https://github.com/s2-streamstore/s2-sdk-python/issues/7))
- Validate `AppendInput`, expose `metered_bytes`, misc. docs polish ([#8](https://github.com/s2-streamstore/s2-sdk-python/issues/8))

## [0.1.3] - 2025-01-14

### Refactor

- Swap gRPC dependency i.e. betterproto -> grpcio ([#5](https://github.com/s2-streamstore/s2-sdk-python/issues/5))

## [0.1.2] - 2025-01-14

### Features

- Async S2 client with core functionalities ([d05d55a](https://github.com/s2-streamstore/s2-sdk-python/commit/d05d55a8396ab276055c3aacd00b8d1951d15e7c))

<!-- generated by git-cliff -->
